////////////////////////////////////////////////////////////////////////
// Breeze Website Builder
// Copyright EB Dynamics, Inc., Edward Lemmers, P.E.
// For licensing, see license.txt.
// Created: 10/11/2011	ELL
// 

function EscapeURL(url)
{
	var i = 0;
	var j = 5;
	
	url = url.replace(/%/g, "%25");
		
	for (i = 0; i < j; i++)
	{
		url = url.replace(" ", "%20");
		url = url.replace("<", "%3C");
		url = url.replace(">", "%3E");
		url = url.replace("#", "%23");
		url = url.replace("{", "%7B");
		url = url.replace("}", "%7D");
		url = url.replace("|", "%7C");
		url = url.replace("\\", "%5C");
		url = url.replace("^", "%5E");
		url = url.replace("~", "%7E");
		url = url.replace("[", "%5B");
		url = url.replace("]", "%5E");
		url = url.replace("`", "%60");
		url = url.replace(";", "%3B");
		url = url.replace("/", "%2F");
		url = url.replace("?", "%3F");
		url = url.replace(":", "%3A");
		url = url.replace("@", "%40");
		url = url.replace("=", "%3D");
		url = url.replace("&", "%26");
		url = url.replace("$", "%24");
		url = url.replace("+", "%2B");
	}
	
	return url;
}